## plm 2.4-1

=== DESCRIPTION ===
Package: plm
Version: 2.4-1
Date: 2021-03-02
Title: Linear Models for Panel Data
Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut", "cre"), email = "yves.croissant@univ-reunion.fr"),
             person(given = "Giovanni",  family = "Millo",        role = "aut", email = "Giovanni.Millo@Generali.com"),
             person(given = "Kevin",     family = "Tappe",        role = "aut", email = "kevin.tappe@bwi.uni-stuttgart.de"),
             person(given = "Ott",       family = "Toomet",       role = "ctb", email = "otoomet@gmail.com"),
             person(given = "Christian", family = "Kleiber",      role = "ctb", email = "Christian.Kleiber@unibas.ch"), 
             person(given = "Achim",     family = "Zeileis",      role = "ctb", email = "Achim.Zeileis@R-project.org"),
             person(given = "Arne",      family = "Henningsen",   role = "ctb", email = "arne.henningsen@googlemail.com"),
             person(given = "Liviu",     family = "Andronic",     role = "ctb", email = "landronimirc@gmail.com"),
             person(given = "Nina",      family = "Schoenfelder", role = "ctb", email = "nina.schoenfelder@fernuni-hagen.de"))
Depends: R (>= 3.1.0)
Imports: MASS, bdsmatrix, zoo, nlme, sandwich, lattice, lmtest, maxLik,
        Rdpack, Formula, stats
Suggests: AER, car, pcse, clusterSEs, collapse, pglm, spdep, splm,
        statmod, urca, Ecdat, pder, stargazer, texreg, foreign, knitr,
        rmarkdown, bookdown
Description: A set of estimators and tests for panel data
             econometrics, as described in Baltagi (2013), Econometric Analysis of Panel Data, ISBN-13:978-1-118-67232-7,
             Hsiao (2014), Analysis of Panel Data <doi:10.1017/CBO9781139839327>, and
             Croissant and Millo (2018), Panel Data Econometrics with R, ISBN-13:978-1-118-94918-4.
License: GPL (>= 2)
VignetteBuilder: knitr
URL: https://cran.r-project.org/package=plm,
        https://r-forge.r-project.org/projects/plm/
BugReports: https://github.com/ycroissant/plm/issues
RoxygenNote: 7.1.1
RdMacros: Rdpack
Encoding: UTF-8
Author: Yves Croissant [aut, cre],
  Giovanni Millo [aut],
  Kevin Tappe [aut],
  Ott Toomet [ctb],
  Christian Kleiber [ctb],
  Achim Zeileis [ctb],
  Arne Henningsen [ctb],
  Liviu Andronic [ctb],
  Nina Schoenfelder [ctb]
Maintainer: Yves Croissant <yves.croissant@univ-reunion.fr>
Repository: CRAN
Repository/R-Forge/Project: plm
Repository/R-Forge/Revision: 1096
Repository/R-Forge/DateTimeStamp: 2021-03-02 07:54:56
Date/Publication: 2021-03-02 09:40:05 UTC
NeedsCompilation: no
Packaged: 2021-03-02 08:08:28 UTC; rforge
