## plm 2.4.11+repack

=== debian/changelog ===
plm (2.4.11+repack-2) unstable; urgency=medium

  * Specify to jh_build that javac will encounter UTF-8 files 
    (Closes: #768732) Thanks to L. Nussbaum for the report and fix
  * Update Standards-Version to 3.9.6 (no change needed)
  * Remove Scala from package description and rules (Closes: #722148)
    (we don't use it ATM since Debian version is too ancient)
  * Cherry-pick the new upstream logo.png to please Lintian.
  * d/p/translate: cherry-pick the translations of 2.5 upstream

 -- Martin Quinson <mquinson@debian.org>  Thu, 13 Nov 2014 14:28:09 +0100

plm (2.4.11+repack-1) unstable; urgency=medium

  * New upstream release.
    - Lots of polishing to the pedagogical content and engine
    - Some new exercises, and a lesson about recursive lists
    - User data gets saved in a git, which is more robust.
    - Translation to French, and partially to Brazilian and Italian.
    - Experimental support for the C programming language
  * Update our patches
    - Twitter support was removed upstream
    - Scala still cut of Debian package since we need a recent scala
    - Cut github interactions, as the needed library are not packaged
  * Suggests jython to make python usable
  * d/control: Update VCS field to not use deprecated entries
  * d/{rules,plm.manifest}: upstream switched to rtextpane and needs git

 -- Martin Quinson <mquinson@debian.org>  Fri, 24 Oct 2014 21:35:06 +0200
