=== debian/rules ===
#!/usr/bin/make -f

DESTDIR    := $(CURDIR)/debian/plm
ICONS      := $(DESTDIR)/usr/share/icons/hicolor


export JAVA_HOME=/usr/lib/jvm/default-java
depspath=/usr/share/java/miglayout.jar:/usr/share/java/rsyntaxtextarea.jar:/usr/share/java/gettext-commons.jar:/usr/share/java/junit4.jar
gitpath=/usr/share/java/org.eclipse.jgit.jar
scalapath=.
#scalapath=/usr/share/java/scala-compiler.jar:/usr/share/java/scala-library.jar
langpath=/usr/share/java/json-simple.jar:/usr/share/java/jython.jar:.
httppath=/usr/share/java/httpclient.jar:/usr/share/java/httpcore.jar:/usr/share/java/commons-logging.jar:/usr/share/java/httpmime.jar
export CLASSPATH=$(depspath):$(gitpath):$(langpath):$(httppath):$(scalapath):.

%:
	dh  $@  --with javahelper --with quilt


override_jh_build:
	# Copy our resource within the wannabe jar file
	mkdir -p debian/_jh_build.plm
	cp -r lib/resources debian/_jh_build.plm
	
	# Copy our image files (but prune the svg files)
	cp -r img debian/_jh_build.plm
	find debian/_jh_build.plm -name "*.svg" -print0 | xargs -0 rm
	
	# Copy other mandated files in place
	jarctn=`find src -name "*.py"; \
		find src -name "*.java"; \
		find src -name "*.scala"; \
		find src -name "*.c"; \
	        find src -name "*.html"; \
	        find src -name "*.png"; \
		find src -name  "*.map"`; \
	for file in $$jarctn ; do\
	   whereto=`echo $$file|sed 's|^src/||'` ; \
	   install -D -m 644 $$file debian/_jh_build.plm/$$whereto; \
	done
	
	# Generate the translation files
	ant i18n-generate-jar
	cd debian/_jh_build.plm && jar xf ../../lib/plm-messages.jar org
	
	# Finally, ask the scripts to compile our stuff, too
	jh_build --no-javadoc --javacopts="-source 1.7 -encoding UTF-8"

override_dh_auto_build:
	ant -f build.xml clean
	
override_dh_auto_install:
	dh_install
	
	# Icons
	for i in 16 22 48; do \
	    mkdir -p $(ICONS)/$${i}x$${i}/apps; \
	    convert debian/logo.png -colorspace RGB \
	            -resize $${i}x$${i} -colorspace sRGB \
	            $(ICONS)/$${i}x$${i}/apps/plm.png; \
	done
	install -d -m 755 $(DESTDIR)/usr/share/pixmaps
	convert img/logo.png -colorspace RGB \
	        -resize 32x32 -colorspace sRGB \
		$(DESTDIR)/usr/share/pixmaps/plm.xpm
		
	# desktop
	install -D -m 644 debian/plm.desktop $(DESTDIR)/usr/share/applications/plm.desktop
		
	# wrapper script 
	install -d -m 755 $(DESTDIR)/usr/bin
	cp debian/plm.sh $(DESTDIR)/usr/bin/plm
	chmod 755 $(DESTDIR)/usr/bin/plm

version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
tmpdir:=$(shell mktemp -d)
wrkdir:=$(shell pwd)

get-orig-source:
	rm -f ${wrkdir}/../plm_${version}+repack.orig.tar.gz
	rm -f ${wrkdir}/../plm_${version}.orig.tar.gz 
	uscan --verbose --force-download && cp ../${version}.tar.gz ${tmpdir} || true
	set +ex; cd ${tmpdir} && \
	    tar xf ${version}.tar.gz && rm -f ${version}.tar.gz && \
	    cd PLM-${version} && find lib -name '*.jar' | xargs rm && \
	    tar cf ${wrkdir}/../plm_${version}+repack.orig.tar * ; \
	    gzip --best ${wrkdir}/../plm_${version}+repack.orig.tar
	rm -rf ${tmpdir}
	@echo "successfully created new tarball: ${wrkdir}/../plm_${version}+repack.orig.tar.gz"
