## plm 2.6+repack

=== debian/changelog ===
plm (2.6+repack-3) unstable; urgency=medium

  * Add run-time dependencies on default-jdk, jython and jruby.
    Recommends are not enough for beginners.
  * Spellcheck plm(1)

 -- Martin Quinson <mquinson@debian.org>  Sun, 18 Sep 2016 16:39:19 +0200

plm (2.6+repack-2) unstable; urgency=medium

  * Build-dep on default-jdk instead of specifying the version manually.
    (Closes: #814171)

 -- Martin Quinson <mquinson@debian.org>  Sun, 21 Feb 2016 21:23:01 +0100

plm (2.6+repack-1) unstable; urgency=medium

  * New Upstream Release:
    - Missions fully translated to Brazilian
      The engine is translated at 65%.
      Thanks to Fred Maranhao for the hard work.
    - Ask loudly before pushing anything to the remote servers
      (Fix #772026 -- thanks to Olivier Berger for reporting)
    - New lesson on Hanoi variations, on recursive decomposition
    - Various improvements to the pedagogical content and bug fixes

  * Enable scala teaching, now that Scala 2.11 is in Debian 
    (Fix: #809482) Thanks Rogério Brito for the reminder.
  * Use ant instead of jh_build, that doesn't like our scala code.

 -- Martin Quinson <mquinson@debian.org>  Fri, 01 Jan 2016 11:41:48 +0100
