=== debian/control ===
Source: plm
Section: java
Priority: extra
Maintainer: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>> 8), javahelper (>= 0.32), ant, quilt
Build-Depends-Indep: default-jdk, scala, libmiglayout-java, librsyntaxtextarea-java,
  junit4, libgettext-commons-java, libjson-simple-java, libhttpclient-java, libhttpmime-java, libjgit-java,
  jython, libgettext-ant-tasks-java, imagemagick,
  libmockito-java
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-java/plm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/plm.git
Homepage: http://www.loria.fr/~quinson/Teaching/PLM/

Package: plm
Architecture: all
Depends: java-wrappers, ${java:Depends}, ${misc:Depends}, libhttpmime-java,
  default-jdk, jruby, jython, 
Recommends: ${java:Recommends}
Description: Programming exerciser in Java, Python, Scala and others
 The Programmer's Learning Machine (PLM) is a free cross-platform programming
 exerciser. It lets you explore various concepts of programming through 
 over 200 interactive exercises, that you can solve in either Java, 
 Python or Scala.
 .
 The PLM interface and content is thoughtfully translated to English,
 French and Brazilian; Other translations may be added in the future. 
 .
 The following concepts are included in this package:
 .
  - Welcome: teach basics of programming to absolute beginners
  - Maze: classical maze escaping algorithms for intermediate
  - Sort: classical sorting algorithms for intermediate. One
    introduction lesson presents the basics of the sorting algorithms
    while two additional lessons apply them in more recreative settings.
  - Recursion: classical logo algorithms for intermediate
  - Turtle Art: explore a few classical LOGO figures
  - LightBot: little programmer's brain teaser for intermediate and advanced
 .
 Other lessons are planned to explore new concepts, such as the
 backtracking, dynamic programming, object-oriented programming or the
 standard libraries of Python, Scala and Java. Other programming languages
 (such as Ruby or JavaScript) may be added in the future.
