=== debian/rules ===
--- 
+++ 
@@ -16,39 +16,6 @@
 %:
 	dh  $@  --with javahelper --with quilt
 
-
-override_jh_build:
-	# Copy our resource within the wannabe jar file
-	mkdir -p debian/_jh_build.plm
-	cp -r lib/resources debian/_jh_build.plm
-	
-	# Copy our image files (but prune the svg files)
-	cp -r img debian/_jh_build.plm
-	find debian/_jh_build.plm -name "*.svg" -print0 | xargs -0 rm
-	
-	# Copy other mandated files in place
-	jarctn=`find src -name "*.py"; \
-		find src -name "*.java"; \
-		find src -name "*.scala"; \
-		find src -name "*.c"; \
-	        find src -name "*.html"; \
-	        find src -name "*.png"; \
-		find src -name  "*.map"`; \
-	for file in $$jarctn ; do\
-	   whereto=`echo $$file|sed 's|^src/||'` ; \
-	   install -D -m 644 $$file debian/_jh_build.plm/$$whereto; \
-	done
-	
-	# Generate the translation files
-	ant i18n-generate-jar
-	cd debian/_jh_build.plm && jar xf ../../lib/plm-messages.jar org
-	
-	# Finally, ask the scripts to compile our stuff, too
-	jh_build --no-javadoc --javacopts="-source 1.7 -encoding UTF-8"
-
-override_dh_auto_build:
-	ant -f build.xml clean
-	
 override_dh_auto_install:
 	dh_install
 	
@@ -57,6 +24,7 @@
 	    mkdir -p $(ICONS)/$${i}x$${i}/apps; \
 	    convert debian/logo.png -colorspace RGB \
 	            -resize $${i}x$${i} -colorspace sRGB \
+	            +set date:create +set date:modify -define png:exclude-chunk=time \
 	            $(ICONS)/$${i}x$${i}/apps/plm.png; \
 	done
 	install -d -m 755 $(DESTDIR)/usr/share/pixmaps
