=== debian/watch ===
version=3
opts=dversionmangle=s/\+(repack|dfsg|ds|deb)\d*$// \
https://github.com/oster/PLM/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
