## plm 2.6-6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: plm
-Version: 2.6-4
-Date: 2024-04-01
+Version: 2.6-6
+Date: 2025-04-04
 Title: Linear Models for Panel Data
 Authors@R: c(person(given = "Yves",      family = "Croissant",    role = c("aut"), email = "yves.croissant@univ-reunion.fr"),
              person(given = "Giovanni",  family = "Millo",        role = c("aut"), email = "giovanni.millo@deams.units.it"),
@@ -32,11 +32,11 @@
 URL: https://cran.r-project.org/package=plm,
         https://github.com/ycroissant/plm
 BugReports: https://github.com/ycroissant/plm/issues
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 RdMacros: Rdpack
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2024-04-01 18:51:47 UTC; kevin
+Packaged: 2025-04-03 22:01:12 UTC; kevin
 Author: Yves Croissant [aut],
   Giovanni Millo [aut],
   Kevin Tappe [aut, cre],
@@ -48,4 +48,4 @@
   Nina Schoenfelder [ctb]
 Maintainer: Kevin Tappe <kevin.tappe@bwi.uni-stuttgart.de>
 Repository: CRAN
-Date/Publication: 2024-04-01 23:40:03 UTC
+Date/Publication: 2025-04-04 15:00:02 UTC
