## plm 2.8.1

=== debian/changelog ===
plm (2.8.1-1) unstable; urgency=medium

  * New upstream release: More glitches fixed, in particular in Python.

 -- Martin Quinson <mquinson@debian.org>  Mon, 01 Jun 2020 20:25:09 +0200

plm (2.8-1) unstable; urgency=medium

  * New upstream release: fix many glitches.
  * No need to repack anymore now that upstream distributes a src
    jarfile with no cruft inside.
  * d/control: bump standards-version to 4.5.0
    (Debian's Janitor did all needed changes already, no more change)

 -- Martin Quinson <mquinson@debian.org>  Sun, 24 May 2020 01:10:51 +0200

plm (2.6+repack-4) unstable; urgency=medium

  [ Gilles Filippini ]
  * Build against json-simple 2 or 3, depending on what's available.
    (Closes: #960632).

  [ Martin Quinson ]
  * Java 7 was hardcoded in the launcher script :(
  * d/changelog: Trim trailing whitespace.
  * d/control: Point vcs-git to salsa, and update upstream homepage.
  * d/control: Add Vcs-Browser field
  * d/control: Bump debhelper from deprecated 8 to 12.
  * d/control: Change priority extra to priority optional.
  * d/copyright: Fix case (Upstream-name => Upstream-Name).
  * d/rule: no need for --with=quilt, with '3.0 (quilt)' source format.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Martin Quinson <mquinson@debian.org>  Mon, 18 May 2020 08:33:40 +0200
