## plm 2.9.2

=== debian/changelog ===
plm (2.9.2-1) unstable; urgency=medium

  * New upstream release: The Portuguese release (new complete translation)
    - Core:
      - Introduce a new Portuguese translation, thanks ssantos.
      - Introduce a new Swedish translation, thanks Kristoffer Grundström.
    - Pedagogical content:
      - recursion/lego/spiral:
        - clarify in text how the learner's code is called automatically

 -- Martin Quinson <mquinson@debian.org>  Sun, 11 Oct 2020 21:54:58 +0200

plm (2.9-1) unstable; urgency=medium

  * New upstream release.
    - Fix a bug that prevented the PLM from saving the user code on disk.
    - Some small improvements to the pedagogical content.
    - New (partial) Ukrainian translation, thanks Yuri Chornoivan.
  * d/p/no-javafx: Remove some code that sneaked in upstream by accident.
  * Don't load the asm3 jarfile on startup, as it does not exist anymore.

 -- Martin Quinson <mquinson@debian.org>  Sun, 20 Sep 2020 22:02:36 +0200
