=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: plm
 Section: java
-Priority: extra
+Priority: optional
 Maintainer: Martin Quinson <mquinson@debian.org>
-Build-Depends: debhelper (>> 8), javahelper (>= 0.32), ant, quilt
+Build-Depends: debhelper-compat (= 12), javahelper (>= 0.32), ant, quilt
 Build-Depends-Indep: default-jdk, scala, libmiglayout-java, librsyntaxtextarea-java,
   junit4, libgettext-commons-java, libjson-simple-java, libhttpclient-java, libhttpmime-java, libjgit-java,
   jython, libgettext-ant-tasks-java, imagemagick,
   libmockito-java
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/plm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/plm.git
-Homepage: http://www.loria.fr/~quinson/Teaching/PLM/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/plm.git
+Homepage: http://people.irisa.fr/Martin.Quinson/Teaching/PLM/
+Vcs-Browser: https://salsa.debian.org/java-team/plm
 
 Package: plm
 Architecture: all
 Depends: java-wrappers, ${java:Depends}, ${misc:Depends}, libhttpmime-java,
-  default-jdk, jruby, jython, 
+  default-jdk, jruby, jython,
 Recommends: ${java:Recommends}
 Description: Programming exerciser in Java, Python, Scala and others
  The Programmer's Learning Machine (PLM) is a free cross-platform programming
- exerciser. It lets you explore various concepts of programming through 
- over 200 interactive exercises, that you can solve in either Java, 
+ exerciser. It lets you explore various concepts of programming through
+ over 200 interactive exercises, that you can solve in either Java,
  Python or Scala.
  .
  The PLM interface and content is thoughtfully translated to English,
- French and Brazilian; Other translations may be added in the future. 
+ French and Brazilian; Other translations may be added in the future.
  .
  The following concepts are included in this package:
  .
