=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,31 @@
 httppath=/usr/share/java/httpclient.jar:/usr/share/java/httpcore.jar:/usr/share/java/commons-logging.jar:/usr/share/java/httpmime.jar
 export CLASSPATH=$(depspath):$(gitpath):$(langpath):$(httppath):$(scalapath):.
 
+JSON_SIMPLE_VERSION = $(shell dpkg -l libjson-simple-java | grep '^ii' | awk '{print $$3}')
+JSON_SIMPLE_3 = $(shell dpkg --compare-versions '$(JSON_SIMPLE_VERSION)' '>' '3.1.1-1~' && echo yes || echo no)
+ifeq (yes,$(JSON_SIMPLE_3))
+JSON_SIMPLE_PACKAGE = com.github.cliftonlabs.json_simple
+JSON_EXCEPTION = JsonException
+else
+JSON_SIMPLE_PACKAGE = org.json.simple
+JSON_EXCEPTION = DeserializationException
+endif
+
 %:
-	dh  $@  --with javahelper --with quilt
+	dh $@   --with javahelper
+
+override_dh_auto_clean:
+	dh_auto_clean
+	find . -type f -name \*.java.json-simple \
+	  -exec sh -c 'file={} && mv $$file $${file%.json-simple}' \; -print
+
+override_dh_auto_build:
+	find . -type f -name \*.java -exec grep -q 'import @JSON_SIMPLE_PACKAGE@' {} \; \
+	  -exec sed -i.json-simple \
+		    -e 's,@JSON_SIMPLE_PACKAGE@,$(JSON_SIMPLE_PACKAGE),' \
+		    -e 's/@JSON_EXCEPTION@/$(JSON_EXCEPTION)/' \
+		    {} \; -print
+	dh_auto_build
 
 override_dh_auto_install:
 	dh_install
@@ -35,7 +58,7 @@
 	# desktop
 	install -D -m 644 debian/plm.desktop $(DESTDIR)/usr/share/applications/plm.desktop
 		
-	# wrapper script 
+	# wrapper script
 	install -d -m 755 $(DESTDIR)/usr/bin
 	cp debian/plm.sh $(DESTDIR)/usr/bin/plm
 	chmod 755 $(DESTDIR)/usr/bin/plm
@@ -43,15 +66,3 @@
 version=$(shell uscan --report-status | head -2 | tail -1 | cut -d' ' -f7 | cut -d, -f1)
 tmpdir:=$(shell mktemp -d)
 wrkdir:=$(shell pwd)
-
-get-orig-source:
-	rm -f ${wrkdir}/../plm_${version}+repack.orig.tar.gz
-	rm -f ${wrkdir}/../plm_${version}.orig.tar.gz 
-	uscan --verbose --force-download && cp ../${version}.tar.gz ${tmpdir} || true
-	set +ex; cd ${tmpdir} && \
-	    tar xf ${version}.tar.gz && rm -f ${version}.tar.gz && \
-	    cd PLM-${version} && find lib -name '*.jar' | xargs rm && \
-	    tar cf ${wrkdir}/../plm_${version}+repack.orig.tar * ; \
-	    gzip --best ${wrkdir}/../plm_${version}+repack.orig.tar
-	rm -rf ${tmpdir}
-	@echo "successfully created new tarball: ${wrkdir}/../plm_${version}+repack.orig.tar.gz"
